Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07560 Crash/Freeze Critical (emulator) Always Feb 3, 2020, 09:05 Apr 9, 2020, 04:40
Tester JSDS View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver cave.cpp
Version 0.218 Fixed in Version 0.221 Build 64-bit
Summary 07560: hotdogst: memdump command causes MAME crash
Description Since 0.209, debugger command "memdump" causes MAME crash in some games. I confirme hotdogst (cave.cpp), turbofrc (aerofgt.cpp), karatblz (aerofgt.cpp), masterw (taito_b.cpp), nastar (taito_b.cpp) and ryujin (taito_b.cpp).

The following message is hotdogst tested on 0.218.
Caught unhandled St9bad_alloc exception: std::bad_alloc

-----------------------------------------------------
Exception at EIP=0000000005920540 (device_debug::compute_debug_flags()): ACCESS VIOLATION
While attempting to read memory at 0000000000000000
-----------------------------------------------------
RAX=0000000013991090 RBX=000000001afbe860 RCX=0000000000000000 RDX=0000000000000003
RSI=0000000013991090 RDI=00000000107c9700 RBP=00000000107c9200 RSP=00000000107c91d8
 R8=000000001d826801 R9=0000000000000001 R10=0000000000000003 R11=00000000107c91e0
R12=0000000000000000 R13=000000000ac05700 R14=00000000107c9480 R15=00000000107c9500
-----------------------------------------------------
Stack crawl:
  00000000107c91d0: 0000000005920540 (device_debug::compute_debug_flags())
  00000000107c9200: 00000000059214c9 (device_debug::breakpoint_update_flags()+0x0069)
  00000000107c9270: 0000000005928768 (device_debug::~device_debug()+0x0178)
  00000000107c92c0: 000000000594c121 (device_t::stop()+0x0081)
  00000000107c9300: 00000000059ef1d9 (running_machine::stop_all_devices()+0x0049)
  00000000107c93f0: 00000000059f7c1a (running_machine::run(bool)+0x020a)
  00000000107cf0a0: 0000000003cf85a8 (mame_machine_manager::execute()+0x01c8)
  00000000107cf370: 0000000003d71a73 (cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&)+0x0303)
  00000000107cf610: 0000000003d71eab (cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x005b)
  00000000107cf670: 0000000003cf66ec (emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x002c)
  00000000107cfe20: 000000000a6a3d72 (main+0x0182)
  00000000107cfef0: 00000000004013b4 (__tmainCRTStartup+0x0234)
  00000000107cff20: 000000000040150b (mainCRTStartup+0x001b)
  00000000107cff50: 00007ff8e45f7bd4 (BaseThreadInitThunk+0x0014)
  00000000107cffd0: 00007ff8e484ced1 (RtlUserThreadStart+0x0021)
Steps To Reproduce 1) start with "MAME64 -debug hotdogst"
2) execute "memdump" on debugger
3) wait crash for a while
Additional Information
Flags
Regression Version 0.209
Affected Sets / Systems hotdogst
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17419
Osso
Developer
Feb 24, 2020, 13:13
This is the change that caused the problem: https://git.redump.net/mame/commit/src/emu/emumem.cpp?id=8e551e167c5f4fda3fcff4393fbdcce49711dcbd
User avatar
No.17541
Robbbert
Developer
Apr 8, 2020, 23:32
edited on: Apr 9, 2020, 10:20
Olivier committed a change that should fix this. Please check if it does.

https://github.com/mamedev/mame/commit/6455bedb9cf8a5d71098676bb72e4d3e304f95aa
https://github.com/mamedev/mame/commit/aeaa56400709ee8649f4b36d5769772bca8ab909
https://github.com/mamedev/mame/commit/8dda65ef3d292182e7f6098d2630772a9c4c2903